---
lang: en
title: 'API docs: service-proxy.applicationwithservices.serviceprovider'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.applicationwithservices.serviceprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [ApplicationWithServices](./service-proxy.applicationwithservices.md) &gt; [serviceProvider](./service-proxy.applicationwithservices.serviceprovider.md)

## ApplicationWithServices.serviceProvider() method

<b>Signature:</b>

```typescript
serviceProvider<S>(provider: Class<Provider<S>>, name?: string): Binding<S>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  provider | <code>Class&lt;Provider&lt;S&gt;&gt;</code> |  |
|  name | <code>string</code> |  |

<b>Returns:</b>

`Binding<S>`


